<?php
    if ($_POST['key'] >= 0 && is_file('../../../usuarios/'.$_COOKIE['usuario'].'.txt') == true && ($_POST['estado'] >= 0 && $_POST['estado'] <= 1)) {
        $productos = [];
        if($_SERVER['SERVER_NAME'] == 'host.ciberweb.com' && $_SERVER['HTTPS'] == 'on' && is_file('./listas/'.$_COOKIE['usuario'].'.txt') == true){
            $productos = json_decode(file_get_contents('./listas/'.$_COOKIE['usuario'].'.txt'), true);
        }
        $productos[$_POST['key']][1] = $_POST['estado'];
        file_put_contents('./listas/'.$_COOKIE['usuario'].'.txt', json_encode($productos));
        echo 1;
    } else {
        echo 0;
    }
?>